export default {
  name: 'Report',
  path: '/report',
  meta: {
    title: '数据驾驶舱',
    sort: 9,
    isModule: true,
    alias: 'dataCockpit',
    icon: 'report',
  },
  children: [
    {
      name: 'DispatchAnalysis',
      path: '/report/dispatch-analysis',
      component: () => import('@/views/report/dispatch-analysis/index.vue'),
      meta: {
        title: '派单分析',
        sort: 1,
        alias: 'crmAnalyse',
        icon: 'report-dispatch',
      },
    },
    {
      name: 'ServiceAnalysis',
      path: '/report/service-analysis',
      component: () => import('@/views/report/service-analysis/index.vue'),
      meta: {
        title: '服务单元分析',
        sort: 2,
        alias: 'serviceAnalyse',
        icon: 'report-unit',
      },
    },
    {
      name: 'SopAnalysis',
      path: '/report/sop-analysis',
      component: () => import('@/views/report/sop-analysis/index.vue'),
      meta: {
        title: 'SOP预警监控',
        sort: 3,
        alias: 'sopAnalyse',
        icon: 'report-warning',
      },
    },
    {
      name: 'ProjectAnalysis',
      path: '/report/project-analysis',
      component: () => import('@/views/report/project-analysis/index.vue'),
      meta: {
        title: '项目进度监控',
        sort: 4,
        alias: 'FlowCheck',
        icon: 'report-project',
      },
    },
    {
      name: 'FlowcheckAnalysis',
      path: '/report/flowcheck-analysis',
      component: () => import('@/views/report/flowcheck-analysis/index.vue'),
      meta: {
        title: '流程检查统计',
        sort: 5,
        alias: 'sopSchedule',
        icon: 'ding-configure',
      },
    },
    {
      name: 'ResourceAnalysis',
      path: '/report/resource-analysis',
      // component: () => import('@/views/report/device-analysis/index.vue'),
      component: () => import('@/views/report/resource-analysis/index.vue'),
      meta: {
        // title: '设备保障监控',
        title: '资源保障分析',
        sort: 6,
        alias: 'deviceMonitor',
        icon: 'report-device',
      },
    },
    {
      name: 'QualityAnalysis',
      path: '/report/quality-analysis',
      component: () => import('@/views/report/quality-analysis/index.vue'),
      meta: {
        title: '质量监控分析',
        sort: 7,
        // alias: 'qualityProblemControl',
        alias: 'qualityAnalyse',
        icon: 'report-quality',
      },
    },
  ],
};
